//
//  Stub.swift
//  PodcastsApp
//
//  Created by BREUIL Yohann on 17/05/2023.
//

import Foundation

let libraryMenuItem: [MenuItem] = [
    MenuItem(iconName: "square.stack",
             text: "Podcasts"),
    MenuItem(iconName: "checklist.unchecked",
             text: "Chaînes"),
    MenuItem(iconName: "bookmark",
             text: "Enregistrés"),
    MenuItem(iconName: "arrow.down.circle",
             text: "Téléchargés"),
    MenuItem(iconName: "clock",
             text: "Derniers épisodes"),
]

let podcastList : [Podcast] = [
    Podcast(
        name: "Underscore_",
        creator: "Micode",
        coverImage: "underscore_podcast",
        nbStars: 4.7,
        nbEvaluations: 963,
        topic: "Technologies",
        lastUpdateDate: Date.now,
        episodes: [
            Episode(title: "Salut", description: "Ceci est un texte", duration: 34),
            Episode(title: "Salut", description: "Ceci est un texte", duration: 34),
            Episode(title: "Salut", description: "Ceci est un texte", duration: 34),
            Episode(title: "Salut", description: "Ceci est un texte", duration: 34),
            Episode(title: "Salut", description: "Ceci est un texte", duration: 34),
        ]),
    Podcast(
        name: "Popcorn",
        creator: "DomingoTV",
        coverImage: "popcorn_cover",
        nbStars: 4.9,
        nbEvaluations: 709,
        topic: "Actualité du divertissement",
        lastUpdateDate: Date.now),
    Podcast(
        name: "Un bon moment avec Kyan KHOJANDI et NAVO",
        creator: "Kyan Khojandi & navo",
        coverImage: "unbonmoment_cover",
        nbStars: 4.7,
        nbEvaluations: 1100,
        topic: "Comédie: les interviews",
        lastUpdateDate: Date.now),
    Podcast(
        name: "À bientôt de te revoir",
        creator: "Binge Audio",
        coverImage: "abientotdeterevoir_cover",
        nbStars: 4.8,
        nbEvaluations: 2700,
        topic: "Comédie: les interviews",
        lastUpdateDate: Date.now),
    Podcast(
        name: "301 vues",
        creator: "Cyprien",
        coverImage: "301vues_cover",
        nbStars: 4.6,
        nbEvaluations: 1100,
        topic: "Humour",
        lastUpdateDate: Date.now),
]
